// 
// Copyright (c) Microsoft and contributors.  All rights reserved.
// 
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//   http://www.apache.org/licenses/LICENSE-2.0
// 
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// 
// See the License for the specific language governing permissions and
// limitations under the License.
// 

// Warning: This code was generated by a tool.
// 
// Changes to this file may cause incorrect behavior and will be lost if the
// code is regenerated.

using System;
using System.Linq;

namespace Microsoft.Azure.Management.ApiManagement.Models
{
    /// <summary>
    /// Parameters supplied to the Backup/Restore of an Api Management service
    /// operation.
    /// </summary>
    public partial class ApiServiceBackupRestoreParameters
    {
        private string _accessKey;
        
        /// <summary>
        /// Required. Gets or sets Azure Cloud Starage account (used to
        /// place/retrieve the backup) access key.
        /// </summary>
        public string AccessKey
        {
            get { return this._accessKey; }
            set { this._accessKey = value; }
        }
        
        private string _backupName;
        
        /// <summary>
        /// Required. Gets or sets the name of the backup.
        /// </summary>
        public string BackupName
        {
            get { return this._backupName; }
            set { this._backupName = value; }
        }
        
        private string _containerName;
        
        /// <summary>
        /// Required. Gets or sets Azure Cloud Starage blob container name used
        /// to place/retrieve the backup.
        /// </summary>
        public string ContainerName
        {
            get { return this._containerName; }
            set { this._containerName = value; }
        }
        
        private string _storageAccount;
        
        /// <summary>
        /// Required. Gets or sets Azure Cloud Starage account (used to
        /// place/retrieve the backup) name.
        /// </summary>
        public string StorageAccount
        {
            get { return this._storageAccount; }
            set { this._storageAccount = value; }
        }
        
        /// <summary>
        /// Initializes a new instance of the ApiServiceBackupRestoreParameters
        /// class.
        /// </summary>
        public ApiServiceBackupRestoreParameters()
        {
        }
    }
}
