// 
// Copyright (c) Microsoft and contributors.  All rights reserved.
// 
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//   http://www.apache.org/licenses/LICENSE-2.0
// 
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// 
// See the License for the specific language governing permissions and
// limitations under the License.
// 

// Warning: This code was generated by a tool.
// 
// Changes to this file may cause incorrect behavior and will be lost if the
// code is regenerated.

using System;
using System.Collections.Generic;
using System.Linq;
using Hyak.Common;

namespace Microsoft.Azure.Management.Automation.Models
{
    /// <summary>
    /// The properties of the patch connection operation.
    /// </summary>
    public partial class ConnectionPatchProperties
    {
        private string _description;
        
        /// <summary>
        /// Optional. Gets or sets the description of the connection.
        /// </summary>
        public string Description
        {
            get { return this._description; }
            set { this._description = value; }
        }
        
        private IDictionary<string, string> _fieldDefinitionValues;
        
        /// <summary>
        /// Optional. Gets or sets the field definition values of the
        /// connection.
        /// </summary>
        public IDictionary<string, string> FieldDefinitionValues
        {
            get { return this._fieldDefinitionValues; }
            set { this._fieldDefinitionValues = value; }
        }
        
        /// <summary>
        /// Initializes a new instance of the ConnectionPatchProperties class.
        /// </summary>
        public ConnectionPatchProperties()
        {
            this.FieldDefinitionValues = new LazyDictionary<string, string>();
        }
    }
}
