// 
// Copyright (c) Microsoft and contributors.  All rights reserved.
// 
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//   http://www.apache.org/licenses/LICENSE-2.0
// 
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// 
// See the License for the specific language governing permissions and
// limitations under the License.
// 

// Warning: This code was generated by a tool.
// 
// Changes to this file may cause incorrect behavior and will be lost if the
// code is regenerated.

using System;
using System.Collections.Generic;
using System.Linq;
using Hyak.Common;
using Microsoft.Azure.Management.DataFactories.Models;

namespace Microsoft.Azure.Management.DataFactories.Models
{
    /// <summary>
    /// HDInsight streaming activity properties.
    /// </summary>
    public partial class Streaming : HDInsightActivityPropertiesBase
    {
        private string _combiner;
        
        /// <summary>
        /// Optional. Combiner executable name.
        /// </summary>
        public string Combiner
        {
            get { return this._combiner; }
            set { this._combiner = value; }
        }
        
        private IList<string> _commandEnvironment;
        
        /// <summary>
        /// Optional. Commandline environment values
        /// </summary>
        public IList<string> CommandEnvironment
        {
            get { return this._commandEnvironment; }
            set { this._commandEnvironment = value; }
        }
        
        private IDictionary<string, string> _defines;
        
        /// <summary>
        /// Optional. Allows user to specify defines for streaming job request.
        /// </summary>
        public IDictionary<string, string> Defines
        {
            get { return this._defines; }
            set { this._defines = value; }
        }
        
        private IDictionary<string, string> _extendedProperties;
        
        /// <summary>
        /// Optional. User specified property bag. There is no restriction on
        /// the keys or values that can be used. These are passed as Defines
        /// in the streaming job request
        /// </summary>
        public IDictionary<string, string> ExtendedProperties
        {
            get { return this._extendedProperties; }
            set { this._extendedProperties = value; }
        }
        
        private string _fileLinkedService;
        
        /// <summary>
        /// Optional. Linked service where the files are located
        /// </summary>
        public string FileLinkedService
        {
            get { return this._fileLinkedService; }
            set { this._fileLinkedService = value; }
        }
        
        private IList<string> _filePaths;
        
        /// <summary>
        /// Required. Paths to streaming job files. Can be directories.
        /// </summary>
        public IList<string> FilePaths
        {
            get { return this._filePaths; }
            set { this._filePaths = value; }
        }
        
        private string _input;
        
        /// <summary>
        /// Required. Input blob path.
        /// </summary>
        public string Input
        {
            get { return this._input; }
            set { this._input = value; }
        }
        
        private string _mapper;
        
        /// <summary>
        /// Required. Mapper executable name.
        /// </summary>
        public string Mapper
        {
            get { return this._mapper; }
            set { this._mapper = value; }
        }
        
        private string _output;
        
        /// <summary>
        /// Required. Output blob path.
        /// </summary>
        public string Output
        {
            get { return this._output; }
            set { this._output = value; }
        }
        
        private string _reducer;
        
        /// <summary>
        /// Required. Reducer executable name.
        /// </summary>
        public string Reducer
        {
            get { return this._reducer; }
            set { this._reducer = value; }
        }
        
        /// <summary>
        /// Initializes a new instance of the Streaming class.
        /// </summary>
        public Streaming()
        {
            this.CommandEnvironment = new LazyList<string>();
            this.Defines = new LazyDictionary<string, string>();
            this.ExtendedProperties = new LazyDictionary<string, string>();
            this.FilePaths = new LazyList<string>();
        }
    }
}
