// Copyright (c) Microsoft Corporation. All rights reserved.
// Licensed under the MIT License. See License.txt in the project root for
// license information.
// 
// Code generated by Microsoft (R) AutoRest Code Generator 0.14.0.0
// Changes may cause incorrect behavior and will be lost if the code is
// regenerated.

namespace Microsoft.Azure.Graph.RBAC.Models
{
    using System;
    using System.Linq;
    using System.Collections.Generic;
    using Newtonsoft.Json;
    using Microsoft.Rest;
    using Microsoft.Rest.Serialization;
    using Microsoft.Rest.Azure;

    /// <summary>
    /// Request parameters for GetMemberGroups API call
    /// </summary>
    public partial class UserGetMemberGroupsParameters
    {
        /// <summary>
        /// Initializes a new instance of the UserGetMemberGroupsParameters
        /// class.
        /// </summary>
        public UserGetMemberGroupsParameters() { }

        /// <summary>
        /// Initializes a new instance of the UserGetMemberGroupsParameters
        /// class.
        /// </summary>
        public UserGetMemberGroupsParameters(bool? securityEnabledOnly)
        {
            SecurityEnabledOnly = securityEnabledOnly;
        }

        /// <summary>
        /// If true only membership in security enabled groups should be
        /// checked. Otherwise membership in all groups should be checked
        /// </summary>
        [JsonProperty(PropertyName = "securityEnabledOnly")]
        public bool? SecurityEnabledOnly { get; set; }

        /// <summary>
        /// Validate the object. Throws ArgumentException or ArgumentNullException if validation fails.
        /// </summary>
        public virtual void Validate()
        {
            if (SecurityEnabledOnly == null)
            {
                throw new ValidationException(ValidationRules.CannotBeNull, "SecurityEnabledOnly");
            }
        }
    }
}
