// 
// Copyright (c) Microsoft and contributors.  All rights reserved.
// 
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//   http://www.apache.org/licenses/LICENSE-2.0
// 
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// 
// See the License for the specific language governing permissions and
// limitations under the License.
// 

// Warning: This code was generated by a tool.
// 
// Changes to this file may cause incorrect behavior and will be lost if the
// code is regenerated.

using System;
using System.Linq;

namespace Microsoft.Azure.Management.StreamAnalytics.Models
{
    /// <summary>
    /// Parameters specifying the stream analytics job definition for a create
    /// or update operation in json format
    /// </summary>
    public partial class JobCreateOrUpdateWithRawJsonContentParameters
    {
        private string _content;
        
        /// <summary>
        /// Required. Gets or sets the definition of the stream analytics job
        /// to be created or updated. It is in the json format.
        /// </summary>
        public string Content
        {
            get { return this._content; }
            set { this._content = value; }
        }
        
        private string _ifNoneMatch;
        
        /// <summary>
        /// Optional. Gets or sets the If-None-Match. Use If-None-Match: * to
        /// give PUT create-only semantics – to make create fail if the named
        /// resource exists. Without it, PUT replaces the named resource if it
        /// exists.
        /// </summary>
        public string IfNoneMatch
        {
            get { return this._ifNoneMatch; }
            set { this._ifNoneMatch = value; }
        }
        
        /// <summary>
        /// Initializes a new instance of the
        /// JobCreateOrUpdateWithRawJsonContentParameters class.
        /// </summary>
        public JobCreateOrUpdateWithRawJsonContentParameters()
        {
        }
        
        /// <summary>
        /// Initializes a new instance of the
        /// JobCreateOrUpdateWithRawJsonContentParameters class with required
        /// arguments.
        /// </summary>
        public JobCreateOrUpdateWithRawJsonContentParameters(string content)
            : this()
        {
            if (content == null)
            {
                throw new ArgumentNullException("content");
            }
            this.Content = content;
        }
    }
}
