// 
// Copyright (c) Microsoft and contributors.  All rights reserved.
// 
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//   http://www.apache.org/licenses/LICENSE-2.0
// 
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// 
// See the License for the specific language governing permissions and
// limitations under the License.
// 

// Warning: This code was generated by a tool.
// 
// Changes to this file may cause incorrect behavior and will be lost if the
// code is regenerated.

using System;
using System.Collections.Generic;
using System.Linq;
using Microsoft.WindowsAzure.Management.StorSimple.Models;

namespace Microsoft.WindowsAzure.Management.StorSimple.Models
{
    /// <summary>
    /// This class respresents the details for backup schedules & volume group
    /// under the legacy  appliance's backup policy.
    /// </summary>
    public partial class MigrationBackupPolicy
    {
        private IList<BackupScheduleBase> _backupSchedules;
        
        /// <summary>
        /// Required. Gets or sets the backup schedules supported by the policy.
        /// </summary>
        public IList<BackupScheduleBase> BackupSchedules
        {
            get { return this._backupSchedules; }
            set { this._backupSchedules = value; }
        }
        
        private string _createdOn;
        
        /// <summary>
        /// Required. Gets or sets the time when policy is created.
        /// </summary>
        public string CreatedOn
        {
            get { return this._createdOn; }
            set { this._createdOn = value; }
        }
        
        private bool _disabled;
        
        /// <summary>
        /// Required. Gets or sets a value indicating whether the policy is
        /// disabled or not.
        /// </summary>
        public bool Disabled
        {
            get { return this._disabled; }
            set { this._disabled = value; }
        }
        
        private string _instanceId;
        
        /// <summary>
        /// Optional. Gets or sets the instance id of the backup policy
        /// </summary>
        public string InstanceId
        {
            get { return this._instanceId; }
            set { this._instanceId = value; }
        }
        
        private string _lastRunTime;
        
        /// <summary>
        /// Optional. Gets or sets the last backed up time of the policy.
        /// </summary>
        public string LastRunTime
        {
            get { return this._lastRunTime; }
            set { this._lastRunTime = value; }
        }
        
        private long _maxRetentionCount;
        
        /// <summary>
        /// Required. Gets or sets the maximum number of backups to be retained.
        /// </summary>
        public long MaxRetentionCount
        {
            get { return this._maxRetentionCount; }
            set { this._maxRetentionCount = value; }
        }
        
        private string _name;
        
        /// <summary>
        /// Required. Gets or sets the name of the backup policy
        /// </summary>
        public string Name
        {
            get { return this._name; }
            set { this._name = value; }
        }
        
        private OperationInProgress _operationInProgress;
        
        /// <summary>
        /// Optional. Gets or sets a value indicating any operation is
        /// inprogress
        /// </summary>
        public OperationInProgress OperationInProgress
        {
            get { return this._operationInProgress; }
            set { this._operationInProgress = value; }
        }
        
        private BackupType _type;
        
        /// <summary>
        /// Required. Gets or sets the backup type supported by the policy.
        /// </summary>
        public BackupType Type
        {
            get { return this._type; }
            set { this._type = value; }
        }
        
        private string _virtualDiskGroupId;
        
        /// <summary>
        /// Required. Gets or sets the list of ids of all volume groups
        /// associated this backup policy.
        /// </summary>
        public string VirtualDiskGroupId
        {
            get { return this._virtualDiskGroupId; }
            set { this._virtualDiskGroupId = value; }
        }
        
        /// <summary>
        /// Initializes a new instance of the MigrationBackupPolicy class.
        /// </summary>
        public MigrationBackupPolicy()
        {
            this.BackupSchedules = new List<BackupScheduleBase>();
        }
    }
}
