// 
// Copyright (c) Microsoft and contributors.  All rights reserved.
// 
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//   http://www.apache.org/licenses/LICENSE-2.0
// 
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// 
// See the License for the specific language governing permissions and
// limitations under the License.
// 

// Warning: This code was generated by a tool.
// 
// Changes to this file may cause incorrect behavior and will be lost if the
// code is regenerated.

using System;
using System.Collections.Generic;
using System.Linq;

namespace Microsoft.WindowsAzure.Management.StorSimple.Models
{
    /// <summary>
    /// This class represents request body of start migration plan.
    /// </summary>
    public partial class MigrationPlanStartRequest
    {
        private string _configId;
        
        /// <summary>
        /// Required. Gets or sets legacy appliance config id passed while
        /// importing the config.
        /// </summary>
        public string ConfigId
        {
            get { return this._configId; }
            set { this._configId = value; }
        }
        
        private IList<string> _dataContainerNameList;
        
        /// <summary>
        /// Required. Gets or sets list name of data containers which needs to
        /// be processed for migration plan.
        /// </summary>
        public IList<string> DataContainerNameList
        {
            get { return this._dataContainerNameList; }
            set { this._dataContainerNameList = value; }
        }
        
        /// <summary>
        /// Initializes a new instance of the MigrationPlanStartRequest class.
        /// </summary>
        public MigrationPlanStartRequest()
        {
            this.DataContainerNameList = new List<string>();
        }
        
        /// <summary>
        /// Initializes a new instance of the MigrationPlanStartRequest class
        /// with required arguments.
        /// </summary>
        public MigrationPlanStartRequest(string configId, List<string> dataContainerNameList)
            : this()
        {
            if (configId == null)
            {
                throw new ArgumentNullException("configId");
            }
            if (dataContainerNameList == null)
            {
                throw new ArgumentNullException("dataContainerNameList");
            }
            this.ConfigId = configId;
            this.DataContainerNameList = dataContainerNameList;
        }
    }
}
