// 
// Copyright (c) Microsoft and contributors.  All rights reserved.
// 
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//   http://www.apache.org/licenses/LICENSE-2.0
// 
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// 
// See the License for the specific language governing permissions and
// limitations under the License.
// 

// Warning: This code was generated by a tool.
// 
// Changes to this file may cause incorrect behavior and will be lost if the
// code is regenerated.

using System;
using System.Linq;

namespace Microsoft.WindowsAzure.Management.StorSimple.Models
{
    /// <summary>
    /// Info about the Virtual Appliance to be  Provisioned
    /// </summary>
    public partial class VirtualDeviceProvisioningInfo
    {
        private bool _createNewStorageAccount;
        
        /// <summary>
        /// Required. The bool representing whether to create a new Storage
        /// Account or use the Storage Account given.
        /// </summary>
        public bool CreateNewStorageAccount
        {
            get { return this._createNewStorageAccount; }
            set { this._createNewStorageAccount = value; }
        }
        
        private bool _deleteAzureCisVMOnFailure;
        
        /// <summary>
        /// Optional. The boolean value to retain Azure VM on failure for
        /// debugging purpose.
        /// </summary>
        public bool DeleteAzureCisVMOnFailure
        {
            get { return this._deleteAzureCisVMOnFailure; }
            set { this._deleteAzureCisVMOnFailure = value; }
        }
        
        private string _deviceName;
        
        /// <summary>
        /// Required. The name of the device.
        /// </summary>
        public string DeviceName
        {
            get { return this._deviceName; }
            set { this._deviceName = value; }
        }
        
        private bool _returnWorkflowId;
        
        /// <summary>
        /// Optional. The bool representing whether to return the WorkflowId to
        /// track the job or not
        /// </summary>
        public bool ReturnWorkflowId
        {
            get { return this._returnWorkflowId; }
            set { this._returnWorkflowId = value; }
        }
        
        private string _storageAccountName;
        
        /// <summary>
        /// Optional. The name of the storage account. This is required if
        /// CreateNewStorageAccount is true.
        /// </summary>
        public string StorageAccountName
        {
            get { return this._storageAccountName; }
            set { this._storageAccountName = value; }
        }
        
        private string _subNetName;
        
        /// <summary>
        /// Required. The name of the sub net.
        /// </summary>
        public string SubNetName
        {
            get { return this._subNetName; }
            set { this._subNetName = value; }
        }
        
        private string _subscriptionId;
        
        /// <summary>
        /// Required. The subscription identifier.
        /// </summary>
        public string SubscriptionId
        {
            get { return this._subscriptionId; }
            set { this._subscriptionId = value; }
        }
        
        private string _virtualNetworkName;
        
        /// <summary>
        /// Required. The name of the virtual network.
        /// </summary>
        public string VirtualNetworkName
        {
            get { return this._virtualNetworkName; }
            set { this._virtualNetworkName = value; }
        }
        
        /// <summary>
        /// Initializes a new instance of the VirtualDeviceProvisioningInfo
        /// class.
        /// </summary>
        public VirtualDeviceProvisioningInfo()
        {
        }
    }
}
