// 
// Copyright (c) Microsoft and contributors.  All rights reserved.
// 
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//   http://www.apache.org/licenses/LICENSE-2.0
// 
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// 
// See the License for the specific language governing permissions and
// limitations under the License.
// 

// Warning: This code was generated by a tool.
// 
// Changes to this file may cause incorrect behavior and will be lost if the
// code is regenerated.

using System;
using System.Collections.Generic;
using System.Linq;
using Hyak.Common;
using Microsoft.Azure;
using Microsoft.WindowsAzure.WebSitesExtensions.Models;

namespace Microsoft.WindowsAzure.WebSitesExtensions.Models
{
    /// <summary>
    /// The list of triggered WebJobs operation response.
    /// </summary>
    public partial class TriggeredWebJobListResponse : AzureOperationResponse, IEnumerable<TriggeredWebJob>
    {
        private IList<TriggeredWebJob> _triggeredWebJobs;
        
        /// <summary>
        /// Optional. The list of triggered WebJobs.
        /// </summary>
        public IList<TriggeredWebJob> TriggeredWebJobs
        {
            get { return this._triggeredWebJobs; }
            set { this._triggeredWebJobs = value; }
        }
        
        /// <summary>
        /// Initializes a new instance of the TriggeredWebJobListResponse class.
        /// </summary>
        public TriggeredWebJobListResponse()
        {
            this.TriggeredWebJobs = new LazyList<TriggeredWebJob>();
        }
        
        /// <summary>
        /// Gets the sequence of TriggeredWebJobs.
        /// </summary>
        public IEnumerator<TriggeredWebJob> GetEnumerator()
        {
            return this.TriggeredWebJobs.GetEnumerator();
        }
        
        /// <summary>
        /// Gets the sequence of TriggeredWebJobs.
        /// </summary>
        System.Collections.IEnumerator System.Collections.IEnumerable.GetEnumerator()
        {
            return this.GetEnumerator();
        }
    }
}
